<?php
/*---------------------------------------------------------------*/
/*
    Titre : Décalage horaires (anglais)                                                                                  
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=883
    Date dition     : 14 Fv 2019                                                                                        
    Date mise  jour : 19 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

     $decalage = array("Abidjan / Cote D'Ivoire" => "0", 
     "Abu Dhabi / United Arab Emirates" => "4", 
     "Acapulco / Mexico" => "-6", 
     "Accra / Ghana" => "0", 
     "Ad Dawhah / Qatar" => "3", 
     "Addis Ababa / Ethiopia" => "3", 
     "Adelaide / Australia" => "10.5", 
     "Aden / Yeman" => "3", 
     "Aguascalientes / Mexico" => "-6", 
     "Ahmadabad / India" => "5.5", 
     "Aklavik / Canada" => "-7", 
     "Akron / USA" => "-5", 
     "Al Jizah / Egypt" => "2", 
     "Al Manamah / Bahrain" => "3", 
     "Alaska / USA" => "-9", 
     "Albany / USA" => "-5", 
     "Albuquerque / USA" => "-7", 
     "Aleutian / USA" => "-10", 
     "Alexandria / Egypt" => "2", 
     "Algiers / Algeria" => "1", 
     "Almaty / Kazakhstan" => "6", 
     "Amman / Jordan" => "2", 
     "Amsterdam / Netherland" => "1", 
     "Anadyr / Russia" => "13", 
     "Anchorage / USA" => "-9", 
     "Ankara / Turkey" => "2", 
     "Anshan / China" => "8", 
     "Antananarivo / Madagaskar" => "3", 
     "Apia / Western Samoa" => "-11", 
     "Arizona / USA" => "-7", 
     "Ashkhabad / Turkmenistan" => "5", 
     "Asuncion / Paraguay" => "-3", 
     "Athens / Greece" => "2", 
     "Atlanta / USA" => "-5", 
     "Atlantic / Canada" => "-4", 
     "Auckland / New Zealand" => "13", 
     "Augusta / USA" => "-5", 
     "Austin / USA" => "-6", 
     "Azores / Portugal" => "-1", 
     "Baghdad / Iraq" => "3", 
     "Baku / Azerbaijan" => "4", 
     "Baltimore / USA" => "-5", 
     "Bamako / Mali" => "0", 
     "Bandar Seri Begawan / Brunei" => "8", 
     "Bandung / Indonesia" => "7", 
     "Bangkalore / India" => "5.5", 
     "Bangkok / Thailand" => "7", 
     "Banjul / Gambia" => "0", 
     "Baotou / China" => "8", 
     "Barcelona / Spain" => "1", 
     "Baton Rouge / USA" => "-6", 
     "Beijing / China" => "8", 
     "Beirut / Lebanon" => "2", 
     "Belgrade / Serbia" => "1", 
     "Belmopan / Belize" => "-6", 
     "Belo Horizonte / Brazil" => "-2", 
     "Berlin / Germany" => "1", 
     "Bermuda / United Kingdom" => "-4", 
     "Bern / Switzerland" => "1", 
     "Birmingham / USA" => "-6", 
     "Birmingham / United Kingdom" => "0", 
     "Bishkek / Kazakhstan" => "5", 
     "Bismarck / USA" => "-6", 
     "Bissau / Guinea" => "0", 
     "Bogota / Colombia" => "-5", 
     "Boise / USA" => "-7", 
     "Bolivia / Santa Cruz" => "-4", 
     "Bombay / India" => "5.5", 
     "Boston / USA" => "-5", 
     "Brasilia / Brazil" => "-2", 
     "Bridgetown / Barbados" => "-4", 
     "Brisbane / Australia" => "10", 
     "Brussels / Belgium" => "1", 
     "Bucharest / Romania" => "2", 
     "Budapest / Hungary" => "1", 
     "Buenos Aires / Argentina" => "-3", 
     "Buffalo / USA" => "-5", 
     "Bujumbura / Burundi" => "2", 
     "Cairo / Egypt" => "2", 
     "Calcutta / India" => "5.5", 
     "Calgary / Canada" => "-7", 
     "Cali / Colombia" => "-5", 
     "Campinas / Brazil" => "-2", 
     "Canary Islands / Spain" => "1", 
     "Canberra / Australia" => "11", 
     "Canton / China" => "8", 
     "Cape Town / South Africa" => "2", 
     "Caracas / Venezuela" => "-4", 
     "Cardiff / Wales" => "0", 
     "Carson City / USA" => "-8", 
     "Cartagena / Colombia" => "-5", 
     "Casablanca / Morocco" => "0", 
     "Cayenne / French Guiana" => "-3", 
     "Central / Canada" => "-6", 
     "Central / USA" => "-6", 
     "Changchun / China" => "8", 
     "Changsha / China" => "8", 
     "Charleston / USA" => "-5", 
     "Charlotte / USA" => "-5", 
     "Chatham / New Zealand Island" => "13.75", 
     "Chelyabinsk / Russia" => "5", 
     "Chengdu / China" => "8", 
     "Chicago / USA" => "-6", 
     "Chihuahua / Mexico" => "-6", 
     "Chittagong / Bangladesh" => "6", 
     "Chungking / China" => "8", 
     "Cincinnati / USA" => "-5", 
     "Cleveland / USA" => "-5", 
     "Colombo / Sri Lanka" => "6", 
     "Columbia / USA" => "-5", 
     "Conacry / Guinea" => "0", 
     "Concord / USA" => "-5", 
     "Copenhagen / Denmark" => "1", 
     "Corboda / Argentina" => "-3", 
     "Curitiba / Brazil" => "-2", 
     "Dacca / Bangladesh" => "6", 
     "Dakar / Senegal" => "0", 
     "Dallas / USA" => "-6", 
     "Damascus / Syria" => "2", 
     "Dar es Salaam / Tanzania" => "3", 
     "Darwin / Australia" => "9.5", 
     "Denver / USA" => "-7", 
     "Des Moines / USA" => "-6", 
     "Detroit / USA" => "-5", 
     "Dhaka / Bangladesh" => "6", 
     "Dublin / Ireland" => "0", 
     "Dushanbe / Tajikistan" => "5", 
     "Dusseldorf / Germany" => "1", 
     "Eastern / USA" => "-5", 
     "Eastern / Canada" => "-5", 
     "Edmonton / Canada" => "-7", 
     "El Paso / USA" => "-7", 
     "Fairbanks / USA" => "-9", 
     "Foochow / China" => "8", 
     "Fortaleza / Brazil" => "-3", 
     "Frankfort / USA" => "-5", 
     "Frankfurt / Germany" => "1", 
     "Freetown / Sierra Leone" => "0", 
     "Fukuoka / Japan" => "9", 
     "Funafuti / Tuvalu" => "12", 
     "Fushun / China" => "8", 
     "Gaborone / Botswana" => "2", 
     "Gdansk / Poland" => "1", 
     "Geneva / Switzerland" => "1", 
     "Georgetown / United Kingdom" => "-5", 
     "Georgetown / Guyana" => "-4", 
     "Gibraltar / United Kingdom" => "1", 
     "Glasgow / Scotland" => "0", 
     "Goiania / Brazil" => "-2", 
     "Guadalajara / Mexico" => "-6", 
     "Guam / USA" => "10", 
     "Guatemala City / Guatemala" => "-6", 
     "Guayaquil / Ecuador" => "-5", 
     "Guiyang / China" => "8", 
     "Halifax / Canada" => "-4", 
     "Hamburg / Germany" => "1", 
     "Hamilton / Bermuda" => "-4", 
     "Hangzhou / China" => "8", 
     "Hanoi / Vietnam" => "7", 
     "Harare / Zambabwe" => "2", 
     "Harbin / China" => "8", 
     "Harrisburg / USA" => "-5", 
     "Hartford / USA" => "-5", 
     "Havana / Cuba" => "-5", 
     "Hawaii / USA" => "-10", 
     "Helena / USA" => "-7", 
     "Helsinki / Finland" => "2", 
     "Hobart / Australia" => "11", 
     "Hong Kong / China" => "8", 
     "Honiara / Solomon Islands" => "11", 
     "Honolulu / USA" => "-10", 
     "Houston / USA" => "-6", 
     "Hyderabad / India" => "5.5", 
     "Inch'on / Korea" => "9", 
     "Indiana East / USA" => "-5", 
     "Indianapolis / USA" => "-5", 
     "Irkutsk / Russia" => "8", 
     "Islamabad / Pakistan" => "5", 
     "Istanbul / Turkey" => "2", 
     "Izmir / Turkey" => "2", 
     "Jackson / USA" => "-6", 
     "Jacksonville / USA" => "-5", 
     "Jaipur / India" => "5.5", 
     "Jakarta / Indonesia" => "7", 
     "Jefferson City / USA" => "-6", 
     "Jerusalem / Israel" => "2", 
     "Jilin / China" => "8", 
     "Jinan / China" => "8", 
     "Jinzhou / China" => "8", 
     "Johannesburg / South Africa" => "2", 
     "Juneau / USA" => "-9", 
     "Kabul / Afghanistan" => "4.5", 
     "Kaliningrad / Russia" => "2", 
     "Kamchatka / Russia" => "12", 
     "Kampala / Uganda" => "3", 
     "Kano Nigeria / Nigeria" => "1", 
     "Kanpur / India" => "5.5", 
     "Kansas City / USA" => "-6", 
     "Kathmandu / Nepal" => "5.75", 
     "Kaunas / Lithuania" => "1", 
     "Kawasaki / Japan" => "9", 
     "Kazan / Russia" => "3", 
     "Khartoum / Sudan" => "2", 
     "Kiev / Ukraine" => "2", 
     "Kigali / Rwanda" => "2", 
     "Kingston / Jamaica" => "-5", 
     "Kinshasa / Zaire" => "1", 
     "Kiritimati / Kiribati" => "14", 
     "Kishinev / Moldova" => "2", 
     "Kitakyushu / Japan" => "9", 
     "Kobe / Japan" => "9", 
     "Kolonia / Fed. States of Micronesia" => "11", 
     "Kowloon / China" => "8", 
     "Krakow / Poland" => "1", 
     "Krasnoyarsk / Russia" => "7", 
     "Kuala Lumpur / Malaysia" => "8", 
     "Kubul / Afghanistan" => "4.5", 
     "Kunming / China" => "8", 
     "Kuwait City / Kuwait" => "3", 
     "Kyoto / Japan" => "9", 
     "La Paz / Bolivia" => "-4", 
     "La Plata / Argentina" => "-3", 
     "Lagos / Nigeria" => "1", 
     "Lanchow / China" => "8", 
     "Las Vegas / USA" => "-8", 
     "Leon / Mexico" => "-6", 
     "Libreville / Gabon" => "1", 
     "Lilongve / Malawi" => "2", 
     "Lima / Peru" => "-5", 
     "Lincoln / USA" => "-6", 
     "Lisbon / Portugal" => "0", 
     "Little Rock / USA" => "-6", 
     "Liverpool / United Kingdom" => "0", 
     "Lodz / Poland" => "1", 
     "Lome / Togo" => "0", 
     "London / England" => "0", 
     "Los Angeles / USA" => "-8", 
     "Louisville / USA" => "-5", 
     "Luanda / Angola" => "1", 
     "Lubumbashi / Zaire" => "2", 
     "Lucknow / India" => "5.5", 
     "Luda / China" => "8", 
     "Luoyang / China" => "8", 
     "Lusaka / Zambia" => "2", 
     "Luxembourg / Luxembourg" => "1", 
     "Maceio / Brazil" => "-2", 
     "Madison / USA" => "-6", 
     "Madras / India" => "5.5", 
     "Madrid / Spain" => "1", 
     "Magadan / Russia" => "11", 
     "Makkah / Saudi Arabia" => "3", 
     "Makwa / Nauru" => "12", 
     "Malang / Indonesia" => "7", 
     "Managua / Nicaragua" => "-6", 
     "Manaus / Brazil" => "-4", 
     "Manila / Philippines" => "8", 
     "Manizales / Colombia" => "-5", 
     "Maputo / Mocambique" => "2", 
     "Mar del Plata / Argentina" => "-3", 
     "Maracaibo / Venezuela" => "-4", 
     "Maracay / Venezuela" => "-4", 
     "Maseru / Lesotho" => "2", 
     "Mazatlan / Mexico" => "-7", 
     "Mbabane / Swaziland" => "2", 
     "Medan / Indonesia" => "7", 
     "Medellin / Colombia" => "-5", 
     "Melbourne / Australia" => "10", 
     "Memphis / USA" => "-6", 
     "Mendoza / Argentina" => "-3", 
     "Merida / Mexico" => "-6", 
     "Mexicali / Mexico" => "-8", 
     "Mexico City / Mexico" => "-6", 
     "Miami / USA" => "-5", 
     "Milan / Italy" => "1", 
     "Milwaukee / USA" => "-6", 
     "Minneapolis / USA" => "-6", 
     "Minsk / Belarus" => "2", 
     "Mobile / USA" => "-6", 
     "Mogadishu / Somalia" => "3", 
     "Monaco / France" => "1", 
     "Monrovia / Liberia" => "0", 
     "Monterrey / Mexico" => "-6", 
     "Montevideo / Uruguay" => "-3", 
     "Montgomery / USA" => "-6", 
     "Montpelier / USA" => "-5", 
     "Montreal / Canada" => "-5", 
     "Moscow / Russia" => "3", 
     "Mountain / Canada" => "-7", 
     "Mountain / USA" => "-7", 
     "Munich / Germany" => "1", 
     "Murmansk / Russia" => "3", 
     "Muscat / Oman" => "4", 
     "Nagoya / Japan" => "9", 
     "Nagpur / India" => "5.5", 
     "Nairobi / Kenya" => "3", 
     "Nanchang / China" => "8", 
     "Naples / Italy" => "1", 
     "Nashville / USA" => "-6", 
     "Nassau / Bahamas" => "-5", 
     "Natal / Brazil" => "-3", 
     "Ndjamena / Chad" => "1", 
     "New Delhi / India" => "5.5", 
     "New Orleans / USA" => "-6", 
     "New York / USA" => "-5", 
     "Newfoundland / Canada" => "-3.5", 
     "Niamey / Niger" => "1", 
     "Nice / France" => "1", 
     "Niteroi / Brazil" => "-2", 
     "Nome / USA" => "-9", 
     "Norfolk / USA" => "-5", 
     "Nouakchott / Mauritania" => "0", 
     "Novgorod / Russia" => "3", 
     "Novosibirsk / Russia" => "6", 
     "Nukualofa / Tonga" => "13", 
     "Oakland / USA" => "-8", 
     "Odessa / Ukraine" => "2", 
     "Oklahoma City / USA" => "-6", 
     "Omsk / Russia" => "6", 
     "Osaka / Japan" => "9", 
     "Oslo / Norway" => "1", 
     "Ottawa / Canada" => "-5", 
     "Ouagadougou / Burkina Faso" => "0", 
     "Pacific / Canada" => "-8", 
     "Pacific / USA" => "-8", 
     "Palembang / Indonesia" => "7", 
     "Palma / Spain" => "1", 
     "Panama / Panama" => "-5", 
     "Papeete / Tahiti" => "-10", 
     "Paramaribo / Suriname" => "-3", 
     "Paramaribo / Suriname" => "-3", 
     "Paris / France" => "1", 
     "Perm / Russia" => "5", 
     "Perth / Australia" => "8", 
     "Philadelphia / USA" => "-5", 
     "Phnomh Penh / Cambodia" => "7", 
     "Phoenix / USA" => "-7", 
     "Pierre / USA" => "-6", 
     "Pittsburgh / USA" => "-5", 
     "Port Alegre / Brazil" => "-2", 
     "Port Louis / Mauritius" => "4", 
     "Port Moresby / Papua New Guinea" => "10", 
     "Port of Spain / Trinidad and Tobago" => "-4", 
     "Port-aux-Francais / Kerguelen-France" => "5", 
     "Portland / USA" => "-8", 
     "Porto / Portugal" => "0", 
     "Porto Novo / Benin" => "1", 
     "Poznan / Poland" => "1", 
     "Prague / Czech Republic" => "1", 
     "Pretoria / South Africa" => "2", 
     "Pusan / Korea" => "9", 
     "Pyongyang / North Korea" => "9", 
     "Qiqihar / China" => "8", 
     "Quebec / Canada" => "-5", 
     "Quito / Ecuador" => "-5", 
     "Rabat / Morocco" => "0", 
     "Raleigh / USA" => "-5", 
     "Rangoon / Burma" => "6.5", 
     "Rarotonga / Cook Islands" => "-10", 
     "Recife / Brazil" => "-3", 
     "Regina / Canada" => "-6", 
     "Reykjavik / Iceland" => "0", 
     "Richmond / USA" => "-5", 
     "Riga / Latvia" => "2", 
     "Rio de Janeiro / Brazil" => "-2", 
     "Riyadh / Saudi Arabia" => "3", 
     "Rochester / USA" => "-5", 
     "Rome / Italy" => "1", 
     "Rotterdam / Netherlands" => "1", 
     "Sacramento / USA" => "-8", 
     "Saigon / Vietnam" => "7", 
     "Saint Louis / USA" => "-6", 
     "Saint Paul / USA" => "-6", 
     "Saint-Denis / Reunion" => "4", 
     "Salem / USA" => "-8", 
     "Salt Lake City / USA" => "-7", 
     "Salvador / Brazil" => "-2", 
     "Salzburg / Austria" => "1", 
     "Samara / Russia" => "4", 
     "San Francisco / USA" => "-8", 
     "San Jose / Costa Rica" => "-6", 
     "San Jose / USA" => "-8", 
     "San Juan / Puerto Rico" => "-4", 
     "San Luis Potosi / Mexico" => "-6", 
     "San Salvador / El Salvador" => "-6", 
     "Sana / Yemen" => "3", 
     "Sankt-Peterburg / Russia" => "3", 
     "Santa Ana / El Salvador" => "-6", 
     "Santa Fe / USA" => "-7", 
     "Santiago / Chile" => "-3", 
     "Santo Domingo / Dom. Republic" => "-4", 
     "Santos / Brazil" => "-2", 
     "Sao Paulo / Brazil" => "-2", 
     "Sapporo / Japan" => "9", 
     "Saskatchewan / Canada" => "-6", 
     "Seattle / USA" => "-8", 
     "Semarang / Indonesia" => "7", 
     "Seoul / South Korea" => "9", 
     "Shanghai / China" => "8", 
     "Shijiazhuang / China" => "8", 
     "Sian / China" => "8", 
     "Singapore / Sinapore" => "8", 
     "Skopje / Macedonia" => "1", 
     "Sofia / Bulgaria" => "2", 
     "St. John's / Canada" => "-3.5", 
     "Stanley / Argentina" => "-3", 
     "Stockholm / Sweden" => "1", 
     "Surabaya / Indonesia" => "7", 
     "Surakarta / Indonesia" => "7", 
     "Suva / Fiji" => "12", 
     "Sverdlovsk / Russia" => "5", 
     "Sydney / Australia" => "11", 
     "Szczecin / Poland" => "1", 
     "Taegu / Korea" => "9", 
     "Taipei / Taiwan" => "8", 
     "Taiyuan / China" => "8", 
     "Tallinn / Estonia" => "2", 
     "Tampa / USA" => "-5", 
     "Tanger / Morocco" => "0", 
     "Tangshan / China" => "8", 
     "Tarawa / Kiribati" => "12", 
     "Tashkent / Uzbekistan" => "5", 
     "Tbilisi / Georgia" => "5", 
     "Tegucigalpa / Honduras" => "-6", 
     "Tehran / Iran" => "3.5", 
     "Tientsin / China" => "8", 
     "Tijuana / Mexico" => "-8", 
     "Tirane / Albania" => "1", 
     "Tokyo / Japan" => "9", 
     "Toledo / USA" => "-5", 
     "Topeka / USA" => "-6", 
     "Toronto / Canada" => "-4", 
     "Trenton / USA" => "-5", 
     "Tripoli / Libya" => "2", 
     "Tsingtao / China" => "8", 
     "Tucson / USA" => "-7", 
     "Tucuman / Argentina" => "-3", 
     "Tunis / Tunisia" => "1", 
     "Turin / Italy" => "1", 
     "Ufa / Russia" => "5", 
     "Valletta / Malta" => "1", 
     "Valparaiso / Chile" => "-3", 
     "Vancouver / Canada" => "-8", 
     "Venezuela / Valenzia" => "-4", 
     "Venice / Italy" => "1", 
     "Veracruz / Mexico" => "-6", 
     "Victoria / Seychelles" => "4", 
     "Vienna / Austria" => "1", 
     "Vientiane / Laos" => "7", 
     "Vila / Vanuatu" => "11", 
     "Vilnius / Lithuania" => "1", 
     "Vladivostok / Russia" => "10", 
     "Warsaw / Poland" => "1", 
     "Washington DC / USA" => "-5", 
     "Wellington / New Zealand" => "13", 
     "WIB / Indonesia" => "7", 
     "Wichita / USA" => "-6", 
     "Windhoek / Namibia" => "2", 
     "Winnipeg / Canada" => "-6", 
     "WIT / Indonesia" => "9", 
     "WITA / Indonesia" => "8", 
     "Wroclaw / Poland" => "1", 
     "Wuhan / China" => "8", 
     "Yakutsk / Russia" => "9", 
     "Yaounde / Cameroon" => "1", 
     "Yekaterinburg / Russia" => "5", 
     "Yerevan / Armenia" => "4", 
     "Yokohama / Japan" => "9", 
     "Zagreb / Croatia" => "1", 
     "Zhenghou / China" => "8", 
     "Zibo / China" => "8", 
     "Zurick / Switzerland" => "1"); 
?>